Bug 1275201 - Neither 4.2.3-200 or 4.2.5-201 kernel will not boot on Lenovo w530 Thinkpad
Neither 4.2.3-200 or 4.2.5-201 kernel will not boot on Lenovo w530 Thinkpad
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 05:07 EDT by hardillb@gmail.com
Modified: 2016-07-19 15:21 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:21:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar file holding lscpi, dmidecode, cpuinfo output and grub.cfg (10.35 KB, application/x-gzip)
2015-10-26 05:07 EDT, hardillb@gmail.com
no flags Details
Hardware info for W520 seeing the same problem (8.57 KB, application/x-gzip)
2015-10-29 12:39 EDT, hardillb@gmail.com
no flags Details
Photo of stacktrace (1.15 MB, image/jpeg)
2015-11-10 04:33 EST, hardillb@gmail.com
no flags Details
Screenshot - Timed out & Dependency failed messages (2.05 MB, image/jpeg)
2015-11-17 05:26 EST, Wille Salminen
no flags Details
ata1.00: qc timeout (cmd 0xec) (1.67 MB, image/jpeg)
2015-12-02 08:40 EST, Wille Salminen
no flags Details
dmesg and /proc/interrupts from both kernels (39.83 KB, application/x-gzip)
2015-12-03 01:17 EST, Wille Salminen
no flags Details

  None (edit)
Description hardillb@gmail.com 2015-10-26 05:07:30 EDT
Created attachment 1086425 [details]
tar file holding lscpi, dmidecode, cpuinfo output and grub.cfg

Description of problem:


Version-Release number of selected component (if applicable):
kernel-4.2.3-200.fc22.x86_64

How reproducible:


Steps to Reproduce:
1. Install 4.2.3-200 kernel
2. Reboot
3.

Actual results:
Machine hangs after printing "[  1.1728022] pci 0000:00:01.0: ASPM: Could not configure common clock" 
Keyboard input is echoed to the screen but has no effect

Expected results:
Machine boots normally

Additional info:
I'm running the nouveau video drivers
Comment 1 hardillb@gmail.com 2015-10-26 05:09:07 EDT
Description of problem:
Machine will not boot 4.2.3-200.fc22.x86_64 kernel, boots fine with 4.1.10-200.fc22.x86_64
Comment 2 hardillb@gmail.com 2015-10-26 08:38:29 EDT
I'm getting similar reports from colleges using a Lenovo T440p and a W520. I'll ask them to upload similar hardware info
Comment 3 hardillb@gmail.com 2015-10-29 12:38:14 EDT
info2.tgz has the hardware info for the w520 seeing the issue
Comment 4 hardillb@gmail.com 2015-10-29 12:39 EDT
Created attachment 1087628 [details]
Hardware info for W520 seeing the same problem
Comment 5 hardillb@gmail.com 2015-11-05 14:06:52 EST
Still seeing the same problem with the new kernel-4.2.5-201.fc22.x86_64
Comment 6 hardillb@gmail.com 2015-11-10 04:33 EST
Created attachment 1092144 [details]
Photo of stacktrace

I've managed to grab a photo of the stacktrace I managed to induce by pressing ctl-alt-delete while the machine was hung.

I've been trying to grab some more info and was looking at kdump but I think this may be happening too early on in the boot to have the storage or network subsystems up.
Comment 7 Wille Salminen 2015-11-17 04:58:36 EST
I'm having the same issue running Lenovo W520. Kernels above 4.1.8-200 (FC22) won't boot. It seems to hang somewhere before disk is initialized as LUKS passphare dialog is not shown.
Comment 8 Wille Salminen 2015-11-17 05:26 EST
Created attachment 1095310 [details]
Screenshot - Timed out & Dependency failed messages

After a long wait I managed capture something:
Timed out waiting for device dev-disk-by...
Dependency failed for Cryptography Setup for luks...
Dependency failed for Encrypted volumes.
Comment 9 Wille Salminen 2015-11-20 01:07:27 EST
Same applies to the latest 4.2.6-200 kernel :(.
Comment 10 Wille Salminen 2015-12-02 01:21:46 EST
No changes on kernel-4.2.6-201.fc22.x86_64
Comment 11 Wille Salminen 2015-12-02 08:40 EST
Created attachment 1101470 [details]
ata1.00: qc timeout (cmd 0xec)

With kernel-4.2.6-201.fc22.x86_64. No disks detected.
Comment 12 Wille Salminen 2015-12-03 01:14:05 EST
Workaround: Append nointremap to kernel parameters. 
Found discussion about this issue on linux kerner list (VGER.KERNEL.ORG): http://filibusta.crema.unimi.it/~cavok/kbts/kr784.html
Comment 13 Wille Salminen 2015-12-03 01:17 EST
Created attachment 1101675 [details]
dmesg and /proc/interrupts from both kernels

dmesg and /proc/interrupts from kernels 4.1.8-200 (working) and 4.2.6-201 (with nointremap)
Comment 14 Wille Salminen 2015-12-04 06:35:27 EST
Could this be related to IRQ mapping as nointremap fixed?
Comment 15 Wille Salminen 2015-12-17 01:29:30 EST
Problem persist on kernel-4.2.7-200. However with 'nointremap' able to boot.
Comment 16 Wille Salminen 2015-12-28 01:15:48 EST
Confirmed with 4.2.8-200.fc22.x86_64 - not working.
Comment 17 jiang.liu 2015-12-28 02:10:47 EST
This commit may help to resolve the regression, could you please help to have a try?

commit 9d4c0313f24a05e5252e7106636bf3c5b6318f5d
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Mon May 4 10:47:40 2015 +0800

    irq_remapping/vt-d: Init all MSI entries not just the first one

    Commit b106ee63abcc ("irq_remapping/vt-d: Enhance Intel IR driver to
    support hierarchical irqdomains") caused a regression, which forgot
    to initialize remapping data structures other than the first entry
    when setting up remapping entries for multiple MSIs.

    [ Jiang: Commit message ]

    Fixes: b106ee63abcc ("irq_remapping/vt-d: Enhance Intel IR driver to support
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>
    Signed-off-by: Jiang Liu <jiang.liu@linux.intel.com>
    Cc: Konrad Rzeszutek Wilk <konrad.wilk@oracle.com>
    Cc: David Cohen <david.a.cohen@linux.intel.com>
    Cc: Sander Eikelenboom <linux@eikelenboom.it>
    Cc: David Vrabel <david.vrabel@citrix.com>
    Cc: Tony Luck <tony.luck@intel.com>
    Cc: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
    Cc: iommu@lists.linux-foundation.org
Comment 18 Josh Boyer 2016-01-04 09:07:55 EST
(In reply to jiang.liu from comment #17)
> This commit may help to resolve the regression, could you please help to
> have a try?
> 
> commit 9d4c0313f24a05e5252e7106636bf3c5b6318f5d
> Author: Thomas Gleixner <tglx@linutronix.de>
> Date:   Mon May 4 10:47:40 2015 +0800
> 
>     irq_remapping/vt-d: Init all MSI entries not just the first one

This commit is already in the 4.2 kernel releases, isn't it?

[jwboyer@vader linux]$ git describe --contains 9d4c0313f24a05e5252e7106636bf3c5b6318f5d
v4.2-rc1~166^2~34
[jwboyer@vader linux]$ 

I'm not sure how it would help given people are reporting issues against 4.2.y kernels and it should already be present.
Comment 19 Wille Salminen 2016-02-02 01:29:35 EST
Upgraded to 4.3.4-200.fc22.x86_64 today. No changes.
Comment 20 Fedora End Of Life 2016-07-19 15:21:06 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.